%define qtdir %_libdir/qt3
%define subver 1.60

Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. 
Name: qscintilla
Version: 1.3
Release: alt1
Copyright: GPL
Group:Development/KDE and QT
Source: %{name}-%subver-gpl-%version.tar.gz
URL: http://www.riverbankcomputing.co.uk/qscintilla/

# Automatically added by buildreq on Tue May 18 2004
BuildRequires: XFree86-devel ed gcc-c++ libqt3-devel libstdc++-devel

%description
Qscintilla is a free source code editing component. It comes with complete source code and a license that permits use in any free project or commercial product. 
As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips. The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts. 

%package -n lib%name
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. e
Group:Development/KDE and QT

%description -n lib%name
Qscintilla is a free source code editing component. It comes with complete source code and a license that permits use in any free project or commercial product. 
As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips. The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts. 

%package -n lib%name-devel
Requires: lib%name = %version-%release
Summary:  Header files for %name
Group:Development/KDE and QT

%description -n lib%name-devel
Header files for %name

%package -n lib%name-doc
Requires: lib%name = %version-%release
Summary:  Documentation for %name
Group:Development/KDE and QT

%description -n lib%name-doc
Documentation for %name

%prep
%setup -n %{name}-%subver-gpl-%version
echo -e "28,28s:\$(QTDIR):$RPM_BUILD_ROOT/\$(QTDIR):\nw\nq\n" | ed qt/qscintilla.pro

%build
rm -rf %buildroot
export QTDIR=%qtdir
cd qt
$QTDIR/bin/qmake qscintilla.pro
echo -e "19,22s:-Wl,--version-script=\$(QTDIR)/src/libqt_add.map::\nw\nq\n" | ed Makefile
%make

%install
rm -rf %buildroot
export QTDIR=%qtdir
cd qt
%make_install
mkdir -p %buildroot%qtdir/include
#mkdir -p %buildroot%qtdir/translations
mkdir -p %buildroot%_libdir
cp qextscintilla*.h %buildroot%qtdir/include
#cp qscintilla*.qm %buildroot%qtdir/translations
cd %buildroot%_libdir
find -name *.so* -exec ln -s '{}' ./ ';'

%files -n lib%name
%_libdir/*.so.4.0.0
%qtdir/lib/*.so.4.0.0
%doc NEWS README LICENSE ChangeLog  

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.so.4
%_libdir/*.so.4.0
%qtdir/lib/*.so
%qtdir/lib/*.so.4
%qtdir/lib/*.so.4.0
%qtdir/include/*

%files -n lib%name-doc
%doc doc/* 

%changelog
* Tue May 18 2004 Serge V. Sergeev <ssv@altlinux.ru> 1.3-alt1
- new release
- appropriate spec changes

* Thu Dec 11 2003 Serge V. Sergeev <ssv@altlinux.ru> 1.2-alt1
- new release

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 1.1-alt1
- new release
- add define subver
- some minor changes

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 0.4-alt0.1
- New release from snapshot

* Mon Dec 23 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1.2
- fixed install section

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1.1
- build from snapshot (corrects encodings)

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1
- Initial release

